Bug 24082 - Add a 'refund' option to anonymous payments
Summary: Add a 'refund' option to anonymous payments
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Tomás Cohen Arazi
URL:
Keywords: release-notes-needed
Depends on: 23355
Blocks: 24492
  Show dependency treegraph
 
Reported: 2019-11-21 13:42 UTC by Martin Renvoize
Modified: 2020-05-18 14:55 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24082: Add a refund option to POS (27.79 KB, patch)
2020-01-08 17:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.89 KB, patch)
2020-01-23 16:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.81 KB, patch)
2020-01-23 16:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.45 KB, patch)
2020-01-23 16:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.94 KB, patch)
2020-02-13 14:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.62 KB, patch)
2020-02-13 14:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.50 KB, patch)
2020-02-13 14:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.94 KB, patch)
2020-02-13 15:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.62 KB, patch)
2020-02-13 15:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.50 KB, patch)
2020-02-13 15:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.94 KB, patch)
2020-03-03 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.62 KB, patch)
2020-03-03 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.59 KB, patch)
2020-03-03 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.94 KB, patch)
2020-03-03 12:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.62 KB, patch)
2020-03-03 12:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.94 KB, patch)
2020-03-03 12:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.94 KB, patch)
2020-03-03 13:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.62 KB, patch)
2020-03-03 13:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.94 KB, patch)
2020-03-03 13:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.96 KB, patch)
2020-03-03 14:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.66 KB, patch)
2020-03-03 14:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.94 KB, patch)
2020-03-03 14:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (5.01 KB, patch)
2020-03-03 20:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.71 KB, patch)
2020-03-03 20:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (11.00 KB, patch)
2020-03-03 20:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24082: (QA follow-up): Template fixes (4.91 KB, patch)
2020-03-03 20:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-11-21 13:42:48 UTC
With bug 23442 we add a process for recording refunds to patrons. We need to expand this for anonymous payments once bug 23354 is available.
Comment 1 Martin Renvoize 2020-01-08 17:04:24 UTC
Created attachment 97042 [details] [review]
Bug 24082: Add a refund option to POS
Comment 2 Martin Renvoize 2020-01-23 16:21:54 UTC
Created attachment 97826 [details] [review]
Bug 24082: Add `anonymous_refund` permission to `cash_management`

This patch adds the new `anonymous_refund` permission to the
`cash_management` flag and binds it to the visability of the register
details page.
Comment 3 Martin Renvoize 2020-01-23 16:21:57 UTC
Created attachment 97827 [details] [review]
Bug 24082: Add refund action to relevant lines
Comment 4 Martin Renvoize 2020-01-23 16:21:59 UTC
Created attachment 97828 [details] [review]
Bug 24082: Add access to historical transactions
Comment 5 Martin Renvoize 2020-02-13 14:42:53 UTC
Created attachment 98849 [details] [review]
Bug 24082: Add `anonymous_refund` permission to `cash_management`

This patch adds the new `anonymous_refund` permission to the
`cash_management` flag and binds it to the visability of the register
details page.

https://bugs.koha-community.org/show_bug.cgi?id=23355
Comment 6 Martin Renvoize 2020-02-13 14:42:56 UTC
Created attachment 98850 [details] [review]
Bug 24082: Add refund action to relevant lines

https://bugs.koha-community.org/show_bug.cgi?id=23355
Comment 7 Martin Renvoize 2020-02-13 14:42:59 UTC
Created attachment 98851 [details] [review]
Bug 24082: Add access to historical transactions

https://bugs.koha-community.org/show_bug.cgi?id=23355
Comment 8 Martin Renvoize 2020-02-13 14:43:12 UTC
Rebased
Comment 9 Martin Renvoize 2020-02-13 15:02:45 UTC
Created attachment 98854 [details] [review]
Bug 24082: Add `anonymous_refund` permission to `cash_management`

This patch adds the new `anonymous_refund` permission to the
`cash_management` flag and binds it to the visability of the register
details page.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Martin Renvoize 2020-02-13 15:02:48 UTC
Created attachment 98855 [details] [review]
Bug 24082: Add refund action to relevant lines

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Martin Renvoize 2020-02-13 15:02:51 UTC
Created attachment 98856 [details] [review]
Bug 24082: Add access to historical transactions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Martin Renvoize 2020-02-13 15:03:46 UTC
This bug was actually just split out from bug 23355 which was already signed off by Kyle.. just added his signoff back in as it got lost during the reshuffle to make QA simpler.
Comment 13 Martin Renvoize 2020-03-03 11:45:30 UTC Comment hidden (obsolete)
Comment 14 Martin Renvoize 2020-03-03 11:45:33 UTC Comment hidden (obsolete)
Comment 15 Martin Renvoize 2020-03-03 11:45:36 UTC Comment hidden (obsolete)
Comment 16 Martin Renvoize 2020-03-03 12:08:00 UTC Comment hidden (obsolete)
Comment 17 Martin Renvoize 2020-03-03 12:08:03 UTC Comment hidden (obsolete)
Comment 18 Martin Renvoize 2020-03-03 12:08:06 UTC Comment hidden (obsolete)
Comment 19 Martin Renvoize 2020-03-03 13:01:24 UTC Comment hidden (obsolete)
Comment 20 Martin Renvoize 2020-03-03 13:01:27 UTC Comment hidden (obsolete)
Comment 21 Martin Renvoize 2020-03-03 13:01:31 UTC Comment hidden (obsolete)
Comment 22 Martin Renvoize 2020-03-03 14:20:01 UTC Comment hidden (obsolete)
Comment 23 Martin Renvoize 2020-03-03 14:20:04 UTC Comment hidden (obsolete)
Comment 24 Martin Renvoize 2020-03-03 14:20:07 UTC Comment hidden (obsolete)
Comment 25 Tomás Cohen Arazi 2020-03-03 20:27:01 UTC
Works as expected, fixed minor QA issues.
Comment 26 Tomás Cohen Arazi 2020-03-03 20:27:49 UTC
Created attachment 100070 [details] [review]
Bug 24082: Add `anonymous_refund` permission to `cash_management`

This patch adds the new `anonymous_refund` permission to the
`cash_management` flag and binds it to the visability of the register
details page.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 27 Tomás Cohen Arazi 2020-03-03 20:27:55 UTC
Created attachment 100071 [details] [review]
Bug 24082: Add refund action to relevant lines

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 28 Tomás Cohen Arazi 2020-03-03 20:28:00 UTC
Created attachment 100072 [details] [review]
Bug 24082: Add access to historical transactions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 29 Tomás Cohen Arazi 2020-03-03 20:28:07 UTC
Created attachment 100073 [details] [review]
Bug 24082: (QA follow-up): Template fixes

This patch introduces missing TT filters and also replaces tabs for
spaces to fix indentation problems.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 30 Martin Renvoize 2020-03-04 16:13:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 31 Joy Nelson 2020-04-01 21:18:52 UTC
not pushed to 19.11.x due to dependencies